it.csi.mddtools.guigen

## Interface PanelDef

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PanelDef
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Panel Def'. Definizione di pannello riusabile. Deve essere definita in un modello esterno e referenziata tramite l'oggetto PanelDefUse.

  The following features are supported:

  - `Name`
  - `Panel`
  - `Params`
  - `App Data Defs`
  - `Type Defs`
  - `Roles`
  - `Actors`
  - `Use Cases`
  - `On Refresh Command`
  - `States`
  - `Default State`
  See Also:
    `GuigenPackage.getPanelDef()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Actor>` | `getActors()` Returns the value of the 'Actors' containment reference list.
    `ApplicationDataDefs` | `getAppDataDefs()` Returns the value of the 'App Data Defs' containment reference
    `PanelDefState` | `getDefaultState()` Returns the value of the 'Default State' reference
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `Command` | `getOnRefreshCommand()` Returns the value of the 'On Refresh Command' containment reference
    `Panel` | `getPanel()` Returns the value of the 'Panel' containment reference
    `org.eclipse.emf.common.util.EList<PDefParam>` | `getParams()` Returns the value of the 'Params' containment reference list.
    `org.eclipse.emf.common.util.EList<Role>` | `getRoles()` Returns the value of the 'Roles' containment reference list.
    `PanelDefStates` | `getStates()` Returns the value of the 'States' containment reference
    `Typedefs` | `getTypeDefs()` Returns the value of the 'Type Defs' containment reference
    `org.eclipse.emf.common.util.EList<UseCase>` | `getUseCases()` Returns the value of the 'Use Cases' containment reference list.
    `void` | `setAppDataDefs(ApplicationDataDefs value)` Sets the value of the '`App Data Defs`' containment reference
    `void` | `setDefaultState(PanelDefState value)` Sets the value of the '`Default State`' reference
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setOnRefreshCommand(Command value)` Sets the value of the '`On Refresh Command`' containment reference
    `void` | `setPanel(Panel value)` Sets the value of the '`Panel`' containment reference
    `void` | `setStates(PanelDefStates value)` Sets the value of the '`States`' containment reference
    `void` | `setTypeDefs(Typedefs value)` Sets the value of the '`Type Defs`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      codice menmonico identificativo della definizione
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getPanelDef_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getPanel

          Panel getPanel()

      Returns the value of the 'Panel' containment reference.

      If the meaning of the 'Panel' containment reference isn't clear, there really should be more of a description here...

      Contiene la struttura del pannello.
      Returns:
        the value of the 'Panel' containment reference.
      See Also:
        `setPanel(Panel)`, `GuigenPackage.getPanelDef_Panel()`

    - #### setPanel

          void setPanel(Panel value)

      Sets the value of the '`Panel`' containment reference.
      Parameters:
        `value` - the new value of the 'Panel' containment reference.
      See Also:
        `getPanel()`

    - #### getParams

          org.eclipse.emf.common.util.EList<PDefParam> getParams()

      Returns the value of the 'Params' containment reference list. The list contents are of type `PDefParam`.

      If the meaning of the 'Params' containment reference list isn't clear, there really should be more of a description here...

      Dichiarazione dei parametri di configurazione del frammento. Per ogni parametro definito qui, nel PanelDefUse occorre specificare una valorizzazione del parametro.
      Returns:
        the value of the 'Params' containment reference list.
      See Also:
        `GuigenPackage.getPanelDef_Params()`

    - #### getAppDataDefs

          ApplicationDataDefs getAppDataDefs()

      Returns the value of the 'App Data Defs' containment reference.

      If the meaning of the 'App Data Defs' reference isn't clear, there really should be more of a description here...

      Definizione di application data fittizi che servono per impostare i binding dei dati.
      Returns:
        the value of the 'App Data Defs' containment reference.
      See Also:
        `setAppDataDefs(ApplicationDataDefs)`, `GuigenPackage.getPanelDef_AppDataDefs()`

    - #### setAppDataDefs

          void setAppDataDefs(ApplicationDataDefs value)

      Sets the value of the '`App Data Defs`' containment reference.
      Parameters:
        `value` - the new value of the 'App Data Defs' containment reference.
      See Also:
        `getAppDataDefs()`

    - #### getTypeDefs

          Typedefs getTypeDefs()

      Returns the value of the 'Type Defs' containment reference.

      If the meaning of the 'Type Defs' containment reference isn't clear, there really should be more of a description here...

      Definizione di tipi fittizi utilizzati negli application data fittizi.
      Returns:
        the value of the 'Type Defs' containment reference.
      See Also:
        `setTypeDefs(Typedefs)`, `GuigenPackage.getPanelDef_TypeDefs()`

    - #### setTypeDefs

          void setTypeDefs(Typedefs value)

      Sets the value of the '`Type Defs`' containment reference.
      Parameters:
        `value` - the new value of the 'Type Defs' containment reference.
      See Also:
        `getTypeDefs()`

    - #### getRoles

          org.eclipse.emf.common.util.EList<Role> getRoles()

      Returns the value of the 'Roles' containment reference list. The list contents are of type `Role`.

      If the meaning of the 'Roles' containment reference isn't clear, there really should be more of a description here...

      Definizione di ruoli fittizi che servono per impostare i security constraints.
      Returns:
        the value of the 'Roles' containment reference list.
      See Also:
        `GuigenPackage.getPanelDef_Roles()`

    - #### getActors

          org.eclipse.emf.common.util.EList<Actor> getActors()

      Returns the value of the 'Actors' containment reference list. The list contents are of type `Actor`.

      If the meaning of the 'Actors' containment reference isn't clear, there really should be more of a description here...

      Definizione di attori fittizi che servono per impostare i security constraints.
      Returns:
        the value of the 'Actors' containment reference list.
      See Also:
        `GuigenPackage.getPanelDef_Actors()`

    - #### getUseCases

          org.eclipse.emf.common.util.EList<UseCase> getUseCases()

      Returns the value of the 'Use Cases' containment reference list. The list contents are of type `UseCase`.

      If the meaning of the 'Use Cases' containment reference isn't clear, there really should be more of a description here...

      Definizione di use case fittizi che servono per impostare i security constraints.
      Returns:
        the value of the 'Use Cases' containment reference list.
      See Also:
        `GuigenPackage.getPanelDef_UseCases()`

    - #### getOnRefreshCommand

          Command getOnRefreshCommand()

      Returns the value of the 'On Refresh Command' containment reference.

      If the meaning of the 'On Refresh Command' containment reference isn't clear, there really should be more of a description here...

      PER FUTURI SVILUPPI
      Returns:
        the value of the 'On Refresh Command' containment reference.
      See Also:
        `setOnRefreshCommand(Command)`, `GuigenPackage.getPanelDef_OnRefreshCommand()`

    - #### setOnRefreshCommand

          void setOnRefreshCommand(Command value)

      Sets the value of the '`On Refresh Command`' containment reference.
      Parameters:
        `value` - the new value of the 'On Refresh Command' containment reference.
      See Also:
        `getOnRefreshCommand()`

    - #### getStates

          PanelDefStates getStates()

      Returns the value of the 'States' containment reference.

      If the meaning of the 'States' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'States' containment reference.
      See Also:
        `setStates(PanelDefStates)`, `GuigenPackage.getPanelDef_States()`

    - #### setStates

          void setStates(PanelDefStates value)

      Sets the value of the '`States`' containment reference.
      Parameters:
        `value` - the new value of the 'States' containment reference.
      See Also:
        `getStates()`

    - #### getDefaultState

          PanelDefState getDefaultState()

      Returns the value of the 'Default State' reference.

      If the meaning of the 'Default State' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Default State' reference.
      See Also:
        `setDefaultState(PanelDefState)`, `GuigenPackage.getPanelDef_DefaultState()`

    - #### setDefaultState

          void setDefaultState(PanelDefState value)

      Sets the value of the '`Default State`' reference.
      Parameters:
        `value` - the new value of the 'Default State' reference.
      See Also:
        `getDefaultState()`